							================
							| FAUST 0.9.73 |
							================

GRAME - Centre National de Creation Musicale - is happy to announce
the release of FAUST 0.9.73. 

This release provides many bug fixes and improvements in several architectures 
(in particular Android) and libraries, as well as a new ROS (Robotic Operating System)
architecture. 
 

-------------
About FAUST :
-------------

FAUST (Functional Audio Stream) is a functional programming language
specifically designed for real-time signal processing and synthesis. 

A distinctive characteristic of FAUST is to be fully compiled. The FAUST compiler
translates DSP specifications into very efficient C++ code that works at sample 
level. The generated code is self contained and doesn't depend on any library or 
runtime.

Moreover a same FAUST specification can be used to generate native implementations 
for most OS (Linux, OSX, Android, iOS) or platforms (LV2, Ladspa, VST, PD, Csound, SC,..)


Faust distribution can be downloaded at:
http://sourceforge.net/projects/faudiostream

The GIT repository can be cloned with the following command :
git clone git://git.code.sf.net/p/faudiostream/code faust

To compile faust :
make httpd (skip this step if you don't have GNU libmicrohttpd installed)
make
sudo make install


Two mailing lists are available:
https://lists.sourceforge.net/lists/listinfo/faudiostream-devel
https://lists.sourceforge.net/lists/listinfo/faudiostream-users

In order to test FAUST without installing it, please refer to the
Online Faust Compiler : 
http://faust.grame.fr


======================== Change log since 0.9.67 ==============================



93afbeb Fixes horizontal bargraph display.
0f50a61 Changes makefiles to search for HTTP library independently of Faust library. This way, if it is in a different place, utilization is still possible.
e0b5e14 Removes titling capabilities from jquery.svg.js.
c8b2f02 Correct JSONUI: generated 'meta' only if needed.
aa347f9 faust2asm : -comb now allows to combine several .dsp files in a unique comb.js output.
cdb47b3 faust2webaudioasm, faust2asm : correct JS page generation.
edc0cfd Correct faust2asm.
fb06328 Correct httpd Makefile.
327b4f5 Correct Makefile.
e88cadd Documantation for 'sound2faust' tool.
ba3cc41 New poly-dsp file, update webaudio-asm-poly.cpp to use it.
eba3563 Add -i parameter in sound2faust tool.
6caf48e cached() method made private in source reader
14e1cc4 faust2webaudioasm : add 'controls' function in the DSP API to get the list of all input controls path.
904ed50 vsti-poly.cpp renamed vst.cpp. Other vat architecture files removed. faust2vst and faust2vsti updated to use vat.cpp
d3c196a Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
fbb8481 faust2ebaudioasm : complete MIDI implementation.
51ffc41 Correct 'make dist'.
9169c87 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
f95a57d Implements the possibility to create multiple UIs on a single webpage.
dcd250f Cleanup.
2b146ec Implements dynamic callback creation for UIs.
8c1f0bc Allows for multiple UIs to be in one web page.
53aa462 in case slider step is zero don't get blocked in QT optimalTick()
b18206a Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
4021488 faust2webaudiosm : correct getJSON.
1ef28de faust2webaudiosm : correct getJSON for poly.
a4cc38f VSTi: Set parameter min, max and step properties
21ddf22 flatten mode in JSONUI.
2bd5ce9 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
203d6c6 Correct JSONUI.h.
ae63e3d Installing Event Filter on GroupBox QT to enable Drag and Drop
fa954e3 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
bd6f7ab Correct faust2webaudioasm JS wrappers.
440e0f2 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
11c3a20 Add FTZ in math.lib.
de7a364 New « …[style:numerical]… » option added to bargraphs. It allows values to be displayed as numbers instead of bars.
056292b Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
145120f fix closing braquet
d2da626 Allows for UI-specific callbacks in web UI
645cc8c faust2webaudioasm : remove handler parameter in DSP constructor.
933b48e Correct  _f4u.main.
2156a4d Makes the delayed tooltip list local to SVG objects instead of global.
975db32 Fix for iRig in coreaudio-ios-dsp.h.
396bbc7 fix default value and range limits in second eq section in zita-rev1; flag controls which should be logarithmic
29e3e92 Sound2faust now generates a rtable for each channel.
5b477ce Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
df59beb Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
8540cba When generating UI, empty labels are converted in '0xABCD' locking ones.
1fe5f1f Adapt GTK and QT UI for '0xABCD' kind of labels.
aa12bc2 new [scale:log] metadata. Currently only available in the QT version. [scale:log] added in relevant places to effect.lib
c5daf59 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
1c8dad1 Correct coreaudio-dsp.h to allow several application to access audio input in 'aggregate device' mode.
a0ec043 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
d31480f incorporate nice new [scale:log] metadata field for Qt sliders
d0cbf47 faustqt.h initialization of const parameter N modified
76282ff Added linear, log and exp ValueConverters.
d3bfac7 Added inline option -i when compiling with Faust like in faust2msp
22a0082 New interface elements (only for qt right now) : radio button groups and pop-up menus. These elements are accessible using two new radio and menu styles : ...[style:radio{'foo':0.54;'faa':-10.8;...'fuu':3.14}]... and ...[style:menu{'foo':0.54;'faa':-10.8;...'fuu':3.14}]... . The file examples/tester2.dsp demonstrates these new styles
a8098c1 Small modification in QT architecture to keep QT4.8 compatibility
c4ccfff Smooth transitions added to tester2.dsp
e6290f6 Added freeverb and vocoder to effect.lib
8632a4f included missing string.h header
e046176 const declarations getDesAddress renamed getDestAddress
e2d2b20 first received packet from another host sets the destination address to this host (unless this address is already not localhost)
d534d45 Correct sound2faust Makefile.
d910a60 Commented out some unused trace code to avoid warnings
126e265 Removed fPort field from HTTPDServer
d83b3b5 Declared OSCUI first parameter as a const char*
95bfb4c Accessors added to OSCUI interface
392df28 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
b1e06de fix type warning : arity() returns an int
5a57aa3 removed useless variable
65501d6 Paul Batchelor update for csound6.
7fd39d2 DSP without enclosing group are now labelled with an 'empty' (= 0xABCD) label.
206bd7c version number changed + change log
258d860 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
f3d128a Correct faust2csound for Linux.
23aae1f Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
c03b694 StyleSheet for QT architecture in separate resource file
b0dea65 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
9741dfc Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
cb5ce64 Some unused code commented out from list.cpp
e4f84dd Added two new functions stereoize(p) and recursivize(p,q) :
653c79f Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
88fea20 Correct group naming in case of no explicit global name.
2107cff Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
bc4d1ff Correct checkNullLabel for UI generation.
81bf55f QTGUI derived from QWidget instead of QObject
0395188 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
f148c5e add event filter on each box opened in QTGUI
98c90ff Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
b0e7f69 Update MapUI.
ac6a46f Fixed some unused variable warning for 'err'
b8c881d Fixed some warnings when compiling the parser.
12155af Fixed voice_node struct definition to cross-compile with i686-w64-mingw32 on linux
2395417 Added faust2w32vst script to cross-compile 32-bits windows vst plug-ins from Linux
0a73502 Correct minimal.cpp.
78f375c Oli Larkin patch for faust2vst and hslider step parameter.
c792641 Correct use of getcwd.
70e6a68 Add disconnect in JS code.
cdb383d Default Group border style
6508405 Correct webaudioasm architecture files.
cea5b67 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
82326b6 Correct FICocoaUI.h (memory management).
371512a Correct preferences management for iOS target.
879a043 Establishes infrastructure for abstracting out SVG drawing backend. Adds new file faust_jquery_svg_backend.js. This will allow an eventual migration to other SVG drawing libraries.
0447e1c Abstracts out svg.text to _f4u.make_text
d7578bc Abstracts out svg.circle to _f4u.make_circle
ed70128 Abstracts out svg.group to _f4u.make_g
33dae37 Abstracts out svg.path to _f4u.make_path
7c21201 Abstracts out svg.line to _f4u.make_line
f2769c1 Moves button event callbacks to group creation in SVG display
a04a0cb Abstracts out svg.configure to _f4u.configure_svg
4855ba7 Abstracts out svg.defs to _f4u.get_svg_defs
3ffe636 Migrates svg gradient code to backend
12b5063 Removes misleading comment from faust_ui_builder
14bddc2 Moves svg removal code to backend
db1484e Moves svg creation in div to backend
f9a7c0c Improvements to backend separation for SVG UI
30d7598 Fixes case in SVG UI where multiple elements could get the same id.
21df603 Fix dssi.cpp bug due to an inappropriate usage of string::c_str() result.
2e8c7bc Fix a compilation warning in dssi architecture
f3202d4 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
c5c5812 Styles a little more coherent for FaustLive uses
e4ef75a Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
d0a31b2 extractMetadata modified to replace control characters by white spaces
4c75673 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
32d2daa Revert "extractMetadata modified to replace control characters by white spaces"
9f19220 remove control characters before creating string symbols
7ce573d Version number set to 0.9.68
5dd9439 Fix missing stdio.h include
5d3bba6 Added script to cross-compile puredata externals for windows
3a386d5 Use environment variable MINGWPREFIX to specify mingw prefix. Add --enable-auto-import linker option.
bf7aa43 Improved faust2w32msp and faust2w32vst, use of MINGWPREFIX
6874cfe Blue Stylesheet revised
c09d147 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
5257135 Pull changes to build system from faust2 (make dynamic httpd sound2faust)
a6a11ac Correct faust2netjackconsole.
dd7f85c Correct SVGDev and PSDev contructor.
060c5be Correct header declaration.
c0232b1 Fix up empty group labels in puredata architecture.
2281095 Bugfixes.
1a4336a Update faust2pd
9b8ab69 add ifdef HTTPCTRL for windows compatibility
1ae5820 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
a26b21f Bugfixes.
24c03b4 Sync pure.cpp with Pure repository
5a07925 Correct warning.
353d502 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
4a7742d Add JSON generation in max/msp wrapper files.
65c5c54 dynamic target added to compile a shared library
c01733d Style improvment
03eb431 correct libOSCFaust symbolic link
7481bcb soversion changed
a8fb6fd Fix xml generation to replace empty labels "" with "0x00" in order to be consistent with the code generation.
5061d26 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
982d138 Correct buffer size management in coreaudio-dsp.h.
d330007 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
008cfe7 Faust2pd updated to version 2.9
4b82b83 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
b9d0c5a faust2pd: Remove generated files from repo.
1f70c55 Option -poly added to faust2puredata. It calls faust2pd with options -n 8 to create an 8-voices polyphonic synth.
aaa99d0 add init zone flag to OSCUI
b52fa76 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
2f77fb1 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
588d77e init flag added to httpdUI
96cbfb0 Make 'make dynamic' work for osclib on Linux.
2806c7c Add proper soname (-Wl,-soname) for osclib on Linux.
5dae5d3 Albert patch for 'make dynamic' on OSX.
a9e6828 Remove warning.
48a440d Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
ad30480 Naming coherency.
addd9e0 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
56dc9fa SVG UI rendeder now ignore 0x prefixed labels.
5bfe7bd osclib: Set proper install_name and library version on OS X.
7910758 OS X: Fix up install_name of libHTTPDFaust.dylib.
88000b6 Windows compatibility fixes (mingw 4.4+ and msvc 2012).
926dfb0 Regenerate lexer.
abd70fd Ros Files
a3a346e msg file updated
f471efe Correct tools Makefile.
2d5c596 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
4e91808 Correct JS string memory allocation scheme.
305566d Correct JS string memory allocation scheme(2).
c1b94c3 RosUI.h updated to handle spaces in labels
93b8191 Mingw32 fixes. Make the httpd and dynamic targets work on Windows. Fix some Windows-specific glitches in the Makefiles.
6c3e6c7 Makefile fixes (Ryan Schmidt).
c112ae3 Add 'make world' target.
c07701d Automatic UI generation in Max/MSP architecture files.
cb75225 Avoid having to install liboscpack by statically linking it into libOSCFaust. Install OSC and HTTP libraries into standard ../lib path instead of ../lib/faust
70d92c4 Faust version number set to 0.9.70
f81b817 uses also pkg-config when building libHTTPDFaust for Linux
4b49c76 faust2jack and faust2alsa scripts adapted (liboscpack and special path removed)
a1dd5c7 Renaming.
6096827 correct possible division by zero in expandBoxesContent of iOS interface
d6aabf5 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
964dc18 More scripts adapted (liboscpack and special path removed)
19d4d3a Script added to test the various faust2xxx scripts.
9f7ca4b Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
ac6acc2 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
64cca72 Add possibly missing include for Max6.
52f08a8 Add possibly missing include for Max5.
47ab25c Avoid having to install liboscpack by statically linking it into libOSCFaust, 2nd attempt.
e185a81 ranlib needed on OSX
b749b31 Add Debian packaging.
9b84354 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
3d7e792 make uninstall: added libHTTPDFaust, libOSCFaust, sound2faust.
076b25d Revert rev. e185a813.
55cc37f Fix typo in FICocoaUI.h.
c911c5a Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
a756a68 In Max6, automatic creation of UI in a generated .maxpat file.
5e41d00 Update Debian changelog.
185aca2 Debian revision number should be 1, not 0.
e92e4be Make linking libOSCFaust.a+liboscpack.a work on OS X with fat binaries.
493b62a Update usage in comments
62d6b96 correct QRCode message & implement stop function in faustqt
f765564 MainWindow not deleted in QTGUI otherwise it loops in QTGUI destructor
20167ce Update for ROS files : - RosUI.H includes now a string process function to handle labels - jack-ros.cpp & jack-gtk-ros.cpp are commented - faust2ros & faust2rosgtk handle 2 options : -install and -o     - install : create packages in the specified workspace     - o : rename the package
111873c add scrollbar to QT application
c52aca9 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
d897598 Pull faustqt.h over from the faust2 branch.
eb547b7 add scrollbar to faustqt independent applications
6d34cfd qmake project updated
52e416a Fix QF bug in isBoxNumeric (must not try a2sb on abstractions).
1f75a60 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
deaf694 Renaming.
4a2c01c Documentation to explain how to use Faust with ROS. Feel free to tell me how to improve it !
1253a66 Fix zero delayed expression bug. No vector name to expect in this case.
77305b4 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
ee674a3 propagate faust2asmjs renaming into faust2appls makefile.
7500ed2 Fix zero delayed expression bug also in vector mode
a6185cf ROS files updated to fit to the ROS C++ Guide In RosUI.h : strProcess function modified to have more explicit ASCII characters (constants used)
599d8d2 Add missing Max/MSP files.
7136ba4 Correct Windows Max/MSP script.
913576f add Scrollbar style
bef80f6 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
d633a28 faust2ros and faust2rosgtk updated ; documentation updated
b24fda8 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
06236cf Missing support to -poly option added to faust2w32puredata
5d9b1ec Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
c922968 ROS documentation file updated
1a95ef8 Add -json parameter (in progress).
6d75538 Add metadata generation in -json mode.
2f3adaa Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
81bbfa6 add oscpack and libOSCFaust VS projects
529a08a Correct JSON generation.
191e7b6 Add inputs/outputs in httpd JSON generated file.
5cbcd4c Correct faust2max6 to produce universal 32/64 bits binary.
e8c4a61 Use 'anything' method in faust2msp.
6b688b6 Use 'anything' method in faust2max6.
dbb2e1a Correct handling of parameter list in Max/MSP.
bb3a34f Correct handling of parameter list in Max/MSP(2).
4fc44a9 Correct 'meta' handling in httpUI and JSONUI.
2f89aee Correct jsongroup::print.
978f75d Remove unneeded TMetas typedef.
3cd96a5 change some headers for OSC and HTTP compilation on windows visual studio
fa52e2f solve previous bad commit from windows
0f08857 go back to right format Unix LF
9b4259f Fix wrong file permissions.
a6d0659 Removing deprecated Makefiles of the faust-stk directory.
979db07 Correct Symbol::get.
db9714a Adding pitch-bend to poly-dsp.h
b9bc4c0 Allowing float MIDI notes in poly-dsp.h
ecf6267 ROS files modified : RosUI.h now includes topic hierarchy faust2ros(gtk) now allows to overwrite packages, and have been modified so that there isn't anymore the faust_msgs type of messages.
fb4604a ROS files updated : - faust2ros(gtk) updated so that the zip file is located in the current directory - ROS documentation source files added to documentation folder - ROS documentation updated to fit recent changes (any comment will be welcome)
8811f79 faust2ros(gtk) updated to test workspaces existence in a better way (checked with Lucie R.)
cc3f9b7 modify Jack architecture files to replace stack allocations by alloca keyword
bfbe4d3 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
63c2556 Adding voice selection for setValue in poly-dsp.h
2963b01 Missing /op/local/include path added. It is needed when using macport.
1093af8 jack shutdown --> client becomes NULL. Protects use of client once it's corrupted
7110967 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
00e9d25 Adding the new version of faust2android
7b47eeb Normalizing the Android native API. Adding ios-coreaudio-api.cpp, the equivalent to android.cpp for iOS. Adding faust2api.
55275fd Modification of ‘environment’ syntax to allow any statements not only definitions
767456f Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
d66d9bc Memory management corrections for faust2api + adding faust2api to the faust2appls Makefile
16e839d Correct iOS project search paths.
e5dc3b4 Correct sound2faust : now refuses soundfiles with a digit as first character.
3f66807 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
07f7ba4 Correct poly-dsp.h to detect 'freq', 'gate', 'gain' labels.
f85922b Add OSC support for ios target.
ed17959 Add missing compiled libraries for OSS in iOS.
5917bc4 ROS FILES including metadata handling
83d354d remove an old doc file
eb1c2d6 Protects bash variable CONVERT with quotes
9b55aef Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
dbafcd3 New -inj <file> option added. It simply injects code into the architecture file instead of really compiling a dsp file.
60149be Always restore initial directory after trying to open an architecture file
466cc09 minor modification
89ec4d3 Voice dealocation in poly-dsp.h
c095589 Fixing poly-dsp.h previous commit issue.
f4f72bf implement fix for gate_gain_mono suggested by Jonatan Liljedahl <lijon@kymatica.com>, plus one other fix, plus some rewriting for clarity
70ff4c8 Merge branch 'master' into injection
a42adfa Missing ends_with() function added
fb7fc3a Merge branch 'master' into injection
dd5f53b Don’t generate xml description anymore.  Differences between the number of physical vs logical audio channels are handled dynamically at execution time.
2d4203d Merge branch 'androidNoXML' into injection
682bf11 Migrating faust2android to Android Studio.
47209b4 Cleanup poly-dsp.h.
3c5d198 opencv files for jack gtk
8f22259 Correct poly-dsp.h.
18c90e2 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
4db76fd Small bug correction in the faust2android compilation script
23ad52a OpenCV UI file modified with pthread_exit() and pthread_join()
c3c7a58 Updating faust2api to be compatible with Android Studio
f7a6b17 Android Accelerometers are set in m/s^2 between -100 and 100.
1a817fe android, computed height for checkbox
5a29981 add guitarix in examples
a34afa8 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
7570656 Merge android accelerometers range between -100 and 100 m/s2
10e6ba6 ROS Files updated with metadata improvement. You can now add some max and min values in ros metadata
a6e6446 New approach to deal with the number input and output channels when different from 0 or 1 input and 1 or 2 outputs.
3fe646b Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
b6fcec3 Correctly restore current directory in enrobage.cpp when searching for files.
b9a419a fix conflicts in android.cpp coments
b66f838 ROS Documentation updated
7ae20fe ROS bash files updated to add a readme.txt in the generated directory
7c71ab6 faust2jack file updated to add the -ocv option
9dd73aa Faust version set to 0.9.71
2cce2e7 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
15a7079 Partial fix of count’s bug in vector and openMP mode. Bug in shed mode not fixed yet
8536453 Fix of count’s bug in scheduler mode.
0e7569b ROS Callbacks Interface file updated (bugs rectified)
8689cb1 Add iOS8 compatability in iOS target.
96a61cc Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
24ba37a ROS files updated
f38f178 faust2ros and faust2rosgtk modified to add some help messages
fb0cd77 RosCI.h modified to use ints and floats in ROS metadata
41d394f Correct webaudio-asm-poly MIDI input device handling.
8d9f1c7 quad definition only added when needed
88bdff3 Renaming.
22c2476 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
86c6e66 Contributions by Jonatan Liljedahl at http://kymatica.com added to effect.lib
a273613 add toString() before split function to avoid warnings
bd3d972 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
2369da8 /jonatan contribution refinement
fe6d223 ROS documentation updated with cheatsheet and tutorials
125a312 Improve faust2webaudioasm.
4cb7973 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
9a81e92 install Jonatan Liljedahl refinement of amp_follower in effect.lib
3a889da Cleanup.
4b0fce0 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
45728f4 Cleanup string handling code.
800a091 Correct directory mangement functions.
5065081 Cleanup asm.js wrapper code.
205f247 Correct memory management code in asm.js wrapping code.
8e5dbc2 Added faust2w32max6 (not tested yet)
97b784f Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
3d847d4 OCVUI.h documented
acbac21 Fix script for Csound6 64bits
19258c3 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
b2ac78a Make faust2webaudioasm works again with 'emcc'.
7aafbb7 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
f3da43a Make faust2webaudioasm works again with 'emcc'(2).
a00e9df Correct faust2asmjs.
b9950f6 Correct webaudio-asm-footer.js.
b56c10c Correct asm.js wrapper files.
a48a931 Correct poly_dsp.h.
897f2e1 Correct asm.js wrapping code.
dc3daa9 Correct asm.js wrapping code(2).
8de9d84 midiToFreq now uses 'double' to avoid an issue with latest emcc compiler.
b428a62 Rework poly-dsp mixing code.
0c879a0 Documentation of WebAudio related tools.
584328c Simplify webaudio related scripts.
c332952 Correct poly-dsp mixing normalization code.
dc9e654 Small fixes in faust2api for iOS
606a6f7 add xmitfilter message to filter parameters at emission
d9143e5 add -xmitfilter at initialisation
ce3dd46 Remove duplicated generated lines.
2ce2892 Correct Symbol::get to remove string size limit.
2bebfaa Correct Symbol::get to remove string size limit.
60fd404 Cleanup android and iOS API architecture files.
f0cc37c Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
db52d3b Make mydsp_poly a subclass of dsp.
d94dfa3 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
a36a395 Missing changes afer previous commits.
22932b3 Add jack-poly-qt.cpp file.
8112673 New libOSCFaust.a version for iOS.
d5409ef Correct poly-dsp.h and android.cpp : add setVoiceGain.
9a71526 Correct function declaration.
73a961c Remove warning.
91b1b83 Correct iOS project for 'storyboard' strange issue.
d4dcd63 Add allNotesOff method in poly-dsp.h.
3ba1857 Major cleanup of JS webaudio wrapping code.
ffa8eec Major cleanup of JS webaudio wrapping code(2).
9d32626 Typos.
c566beb Add compute callback in the WebAudio wrapping code.
db852d7 Add missing pitchBend function in emcc wrapping code.
eaba2d8 improve Moog VCF demo; improve comments; fix off-by-one in filter.lib/ff_*comb, restore missing allpass_fcomb; add allpass_fcomb5
6ddf62d add parenthesis as recoded characters in OSCUI
bfff90b Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
1a041c4 New libOSCFaust.a for iOS.
f0dd27d Add public getProcessor in WebAudio asm wrapper code.
d610c96 Typos.
a76d93b accept more than 2 parameters for xMitfilter requests
f48ad01 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
a38f6f9 New iOS ibOSCFaust.a version.
f99d5ba Correct asm.js wrapping code.
e0b202a Typos in JS code.
4676619 Add 'use strict' in JS code.
b3fdd24 modify split uses for firefox portability
de0fb2b Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
84793eb Correct setHandler in asm.js wrapper.
1a036b4 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
de16274 Fix import(« .. ») in environments by using gReader.expandlist
55b71d4 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
76180ab add sampling-rate option to matlabplot.cpp
d258b4c Remove unused variable.
bf2bcb8 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
51de88d Correct connect/disconnect JS functions.
058e6c9 Cleanup asm.js wrappers.
8a2844b Fixed setting Audio Unit Instrument frequency slider
615333b Add dynamic version in poly-dsp.h
53d6d63 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
ce768d0 Make poly-dsp.h more flexible.
27d3b64 Make poly-dsp.h more flexible(2).
02c06fb Correct faust2asmjs.
699c79d Cleanup.
9a550fd Use FAUSTFLOAT when needed in poly-dsp.h.
c0608e2 Correct 'metadata' use in poly-dsp.h.
56a8479 Use MIX_BUFFER_SIZE so that 'mydsp_poly' object really behaves as a 'dsp'.
678174d Cleanup.
6fa34ef Add -h in faust2jaqt.
a5cd669 Correct CoreAudio devices aggregation code.
62ee3a5 Export service in HTML pages.
fc6b2c8 Restore contructor in mydsp_poly for comptability.
f14073c Correct faust2webaudioasm.
f42849a Correct faust2webaudioasm(2).
2596b58 modify export-wrapper to embbed images as svg
4ef2bb5 add gif loader while waiting for qrcode
ff53665 New implementation and several new value converters added, including value converters for accelerometers.
e6e9a26 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
3cea2a2 modify DSP dynamic modification
0b7a59d Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
4d92c18 Add audio on iOS activation in WebAudio HTML wrappers.
1aa6306 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
34c755d event error correctected for firefox
e090d43 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
e6cb2b9 change source location for export
9d02850 Better handling of degenerated interpolations
9cce732 More code comments
7622044 More code comments
73e5df7 Correct WebAudio HTML wrapper.
2fdbb10 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
b651968 Correct WebAudio HTML wrapper(2).
1fbfdf3 Number of outputs for VST reduced to 2
341fecf VST/i-s are compiled for both i386 and x86_64 architectures on Darwin and combined using lipo
948a985 Add 'poly' mode in faust2caqt, improve faust2jaqt.
b43c7b8 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
ad0178b MIDI control in progress.
157d626 Add midi.h generic file, correct midi-io.h.
66799c1 Add MIDI in faust2caqt.
485490b Correct faust2jaqt and faust2caqt for MIDI on OSX.
f25fb7a New MidiUI.h file.
5b0a494 Add dynamic -poly parameter.
f1095ea Correct MidiUI.h.
83aa776 Add MIDI control (in progress).
8d22c7c Cleanup.
d54f369 Add MIDI out control (in progress).
afa244e Add MIDI out message generation.
b7dd929 Naming.
08ce72f Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
8ec3758 MIDI in progress.
98cf9a1 MIDI out now working.
3bf809b MIDI: correct 'poly' mode.
410b03d More combinable 'midi' and 'poly' modes.
aed611d Cleanup.
ffcb7f5 Cleanup.
e3fbfa7 Cleanup.
2a2a687 Cleanup.
10304c8 Cleanup.
eea74a1 Better fmod interval computation
c97ee32 Correct MIDI output.
ee5da2b Add licences.
f8de41b Better separation of 'poly' and 'midi' modes.
51fb0eb Renaming.
1ab37ad Correct mydsp_poly.
a86430f File reorganization.
e7e8488 Correct use of mydsp_poly.
89c0429 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
627d3aa Improved fdelay via Lagrange interpolation in filter.lib to use the faster (complexity of order N) Candan 2007 method, and generalized to all N>0
94e47ad added fdelayltv to filter.lib for robust time-varying Lagrange interpolation
0af22fb added protection against floating-point exception in fdelayltv in filter.lib
7626b09 Fix warning : abs replaced by labs
88f140b Warning messages in case of potential division by 0 or food by 0
0bbe67e Fix up Debian packaging rules, update Debian changelog for latest git revision.
9478fa0 Comment Klass::printMetadata function.
756eebd lseek defined for windows (change was already in faust2)
d5cbc29 increment OSC version and add xmitfilter to documentation
6544457 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
ec370d9 Cleanup README.
cabd94a Add -lpthread to OSCDEFS.
d59542b Division by zero warnings deactivated (more precise intervals required)
d9ee3e4 allow gate in effect.lib to have faster release than attack
9140064 Change amp_follower_ud to amp_follower_ar internally in effect.lib to allow faster release than attack in gate, compressor, and vocoder; clarify comments
d1eb0b1 revise relation between input level calculation and attack/release times in gate in effect.lib
4cac36e Add conditional NAN definition for Windows.
dde1005 Correct faust2jaqt and faust2caqt.
c5a1d84 New RtAudio based architecture file.
d9c7298 Update ValueConverter.h.
53961cb Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
52ca0db Version set to 0.9.72
b84465b Revert to use ARCHFLAGS
3d48094 Fix missing install of max-map architecture subfolder
65a08e7 add triangle-wave LFO to oscillator.lib
7bf6bb5 Typos in faust2raqt.
6c8e6c1 New Android architecture
9429153 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
3c29cf5 Fix a compile warning
92a1ffd Add get_num_inputs/get_num_outputs methods in audio class.
18a1264 Correct jack-dsp.h.
58cc86b Correct jack-dsp.h(2).
2d9ef51 Extend jack-dsp API.
0a8d065 Extend jack-dsp API(2).
5e4078b New architecture file for OWL provided by  Martin Klang and the OWL team. This version is both backwards and forward compatible with the next version of the OWL firmware.
7e22e89 Cleanup.
a6e8181 Cleanup.
9f4c40a Correct netjack-dsp.h.
5ad5847 convert UTF-8 emdash to plain ASCII dashes
b394414 Rework coreaudio-dsp.h.
ac513cd Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
bbd5adb Use kAudioSessionProperty_OverrideCategoryDefaultToSpeaker in iOS architecture file.
9d71a82 Use kAudioSessionProperty_OverrideCategoryDefaultToSpeaker in iOS architecture file(2).
bb51b9d Correct SVG UI css.
3215fa4 Correct rt-midi.h.
54ecf3b Correct MIDI headers.
ff5036c Add naming in MIDI handling.
34bd248 Fix end of line, from windows to unix.
5b58bb5 Cleanup coreaudio-ios-dsp.h.
e737272 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
879f2e9 Disable AGC in coreaudio-ios-dsp.h.
e80c704 Disable AGC in coreaudio-ios-dsp.h(2).
16f1965 Rework MidiUI.
2f668fd AGC disabled by default in coreaudio-ios-dsp.h.
17daac5 Add -noagc in faust2ios.
45bc4bc Add platform conditional compilation in RtMidi.h.
8092923 Correct rtmidi destructor.
ed3a6b0 Correct fasut2android to correcty take optional parameters in account.
498bf55 Added -reuse option to faust2android. This option speedup the compilation by reusing the previous build directory.
a0a4b3a Correct sound2faust.
c13b167 Correct SourceReader::parse.
846897d Added static libraries needed when cross-compiling for Windows
6a9f75f Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
2d45e5c Added Faust syntax highlighting support for Atom editor
1d8c52c Added faust2md a simple documentation system for Faust. faust2md creates a markdown file by extracting the comments from a Faust source file.
fd88efc Added 'doc' snippet to Atom's syntax highlighting package
b8dc608 Add a new line before starting a new #xxx section in faust2md
ed26b8f New documentation comments of math.lib (in progress)
df94194 more documentation comments in math.lib
67692f7 Cleanup OSC code.
5b21f4c Correct OSC documentation.
772aa32 add cos and arbitrary-phase sinusoidal wavetable oscillators to music.lib; use music.lib and filter.lib privately instead of globally within oscillator.lib; rewrite x^2 as x*x to further minimize powf() usage
9c68528 Optimize android_AudioOut.
b92363b New Android audio architecture.
0c08a2d Correct androidaudio::stop method.
ea5403a Cleanup.
fd35f04 Cleanup.
fd76d4b Separated APIUI.h file.
2fc2832 Correct APIUI.h.
6962a52 Correct APIUI.h(2).
f95d0ec Correct APIUI.h(3).
e005b30 Improve Android code: audio backend and interaction with Java code.
cd87f45 Android: correct sliders setValue method.
7aa63d4 Android: cleanup Java code.
8450b59 Android: OSC somewhat working.
fb9a04d Android: use the new APIUI class in C side.
299c217 Correct APIUI memory management.
2797e7f Android: add propagateAccX, propagateAccY, propagateAccY API.
4520f27 Android: add missing curve in editor.
2de8bd9 New setAccConverter/getAccConverter in APIUI, cleanup.
bcc61ab Android: cleanup Java acceleroleter code (in progress).
f606ef8 Android: add a version number in parameters file.
a9d4d88 Android: accelerometer mapping edition somewhat working.
4d135f4 Android: accelerometer mapping edition somewhat working(2).
357f00f Cleanup.
b5a5692 Android: correct accelerometer values handling in Java code, cleanup.
880d03c Android: optimize and cleanup Java code.
e614dd8 Android: implement 'no more mappping'.
a1a8590 Android: new AndroidEngine class on C side.
52027cb Android: correct APIUI::setAccConverter.
197fa48 Cleanup.
fb9b7eb Updated comments (in progress)
e2af69e Added new -svg option to faust2graph and faust2sig to generate svg instead of pdf images
b6ec549 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
cc93a6b Add APIUI::getAccConverter method.
c51d372 APIUI: correct types.
2a5a844 start on oscillator.lib markdown formatting, no functional changes
8927e28 Add API for gyroscopes in APIUI.
1ab5a19 Add API for gyroscopes in APIUI(2).
d5e1e01 Add API for gyroscopes in APIUI(3).
6236abf Remove bogus dependencies on /opt/local files which break 'make world' on Linux.
057ba92 Correct MIDI handling in ca-qt.ccp and jack-qt.cpp files.
c407605 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
008d6a6 iOS project support for 64 bits.
862c686 Oliver Larkin Faust.plist file updated to support .lib files.
cf758b1 Add a separated target in iOS project for 32 bits compilations. Add '-all' option in faust2ios to force 64/32 bits compilation.
94994b6 Add 'code' field in JSON enconding.
7c86f7f Add 'sha_key' in JSONUI class.
8cda0a7 Cleanup JSONUI code.
ed1ca16 Add a '-sc' parameter for 'scaled SVG'.
a2bd438 instrument.lib moved from stk examples to architecture folder. In order to make instrument.lib more generis the foreign fonction of instrument.lib was removed and added directly to modalBar.dsp
809f876 Correct JavaScript WebAudio resources.
23028a4 Instrument.lib moved to architecture directory
f5bd19e Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
2760af6 Correct jackaudio::default_connections method.
b907ff7 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
cf81b10 Fix 64 bits compilation warning on iOS project.
69a2156 Oliver patch for XCode 7 and iOS project.
62e6943 Correct Max/MSP architecture to better display code caracteristics.
a7d682e SDK Path redirected to /usr/local/include
c29adc9 Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
851d8c4 Correct links in export-wrapper.html.
b04040c Merge branch 'master' of ssh://git.code.sf.net/p/faudiostream/code
2a49ba3 Add mssing Template_CoreAudio_32bits.xcscheme in iOS project.
324f2d6 Correct faust2android to correctly take optional parameters in account (redo 2015-07-20 correction).
207595a Correct faust2svg.
d4b5bd1 Correct faust2svg(2).
be5f018 Add vbargraph in Android architecture.
47580e8 Correct androidaudio::start.
25c5fed Android: change bargraph layout.
1a47fa5 Add Gyroscope API handling.
6d8ca2c Add gyroscope handing in Android code (in progress).
8af809e Add gyroscope handing in Android code.
e3d3317 Android acc/gyr UI improvement.
280344f Add broadcast code in oscpack (taken from in-score).
db689d3 Add broadcast code in oscpack (taken from in-score)(2).
20d82b6 Correct OSC code.
b5bba70 Android: correct exception handing in OSC code.
3bbf054 Android: add WIFI multicast handling.
2bce042 New SoundFileReader file, cleanup.
9362b62 Cleanup.
82d2e3c Cleanup(2).
a7987ac Add sound2reader script.
945a9ca SoundFileReader code now uses FAUSTFLOAT.



----------------
Acknowledgments:
----------------
Many persons have been contributing to the FAUST project by
providing code for the compiler, architecture files, libraries,
examples, documentation, scripts, bug reports, ideas, etc. 

We would like to thank them and especially: Fons Adriaensen, Jerome
Barthelemy, Tim Blechmann, Tiziano Bole, Alain Bonardi, Myles Borin,
Baktery Chanka, Thomas Charbonnel, Brune de Chiffreville, Raffaele Ciavarella, Julien
Colafrancesco, Damien Cramet, Robin Gareus, Etienne Gaudrin, Olivier
Guillerminet, Albert Graef, Pierre Guillot, Pierre Jouvelot, Stefan
Kersten, Victor Lazzarini, Matthieu Leberre, Mathieu Leroi, Fernando
Lopez-Lezcano, Kjetil Matheussen, Hermann Meyer, Romain Michon, Remy
Muller, Eliott Paris, Reza Payami, Laurent Pottier, Sampo Savolainen,
Nicolas Scaringella, Anne Sedes, Priyanka Shekar, Stephen Sinclair,
Travis Skare, Julius Smith, Michael Wilson, as well as our colleagues at
GRAME, in particular : Karim Barkati, Sarah Denoux, Olivier
Guillerminet, Christophe Lebreton and Mike Solomon.

Yann Orlarey, Stephane Letz and Dominique Fober
GRAME

